package com.yanzhu.jh.project.mapper;

import java.util.List;
import java.util.Map;

import com.yanzhu.jh.project.domain.SurProjectAttendanceData;
import org.apache.ibatis.annotations.Param;

/**
 * 劳务实名制管理Mapper接口
 * 
 * @author ruoyi
 * @date 2023-09-24
 */
public interface SurProjectAttendanceDataMapper 
{
    /**
     * 查询劳务实名制管理
     * 
     * @param id 劳务实名制管理主键
     * @return 劳务实名制管理
     */
    public SurProjectAttendanceData selectSurProjectAttendanceDataById(Long id);

    /**
     * 查询劳务实名制管理列表
     * 
     * @param surProjectAttendanceData 劳务实名制管理
     * @return 劳务实名制管理集合
     */
    public List<SurProjectAttendanceData> selectSurProjectAttendanceDataList(SurProjectAttendanceData surProjectAttendanceData);

    /**
     * 查询考勤信息
     *
     * @param surProjectAttendanceData 劳务实名制管理
     * @return 劳务实名制管理集合
     */
    public SurProjectAttendanceData findCurrentAttendanceData(SurProjectAttendanceData surProjectAttendanceData);

    public List<SurProjectAttendanceData> selectSurProjectAttendanceDataListEx(SurProjectAttendanceData surProjectAttendanceData);
    /**
     * 新增劳务实名制管理
     * 
     * @param surProjectAttendanceData 劳务实名制管理
     * @return 结果
     */
    public int insertSurProjectAttendanceData(SurProjectAttendanceData surProjectAttendanceData);

    /**
     * 修改劳务实名制管理
     * 
     * @param surProjectAttendanceData 劳务实名制管理
     * @return 结果
     */
    public int updateSurProjectAttendanceData(SurProjectAttendanceData surProjectAttendanceData);

    /**
     * 删除劳务实名制管理
     * 
     * @param id 劳务实名制管理主键
     * @return 结果
     */
    public int deleteSurProjectAttendanceDataById(Long id);

    /**
     * 批量删除劳务实名制管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSurProjectAttendanceDataByIds(Long[] ids);

    /**
     * 批量删除劳务实名制管理
     *
     * @param list 需要删除的数据参数集合
     * @return 结果
     */
    public int deleteSurProjectAttendanceDataByParams(List<String> list);

    /**
     * 批量新增劳务实名制考勤管理
     *
     * @param SurProjectAttendanceDataList 劳务实名制考勤管理列表
     * @return 结果
     */
    public int batchSurProjectAttendanceData(@Param("list") List<SurProjectAttendanceData> SurProjectAttendanceDataList, @Param("year") String year);

    public Long getLastServerId(SurProjectAttendanceData where);

    List<SurProjectAttendanceData> groupAllByComany(SurProjectAttendanceData where);
    List<SurProjectAttendanceData> groupByComany(SurProjectAttendanceData where);

    public Long getHuazhuPage(Long id);


    public List<Map<String,Object>> initOtherData(Map<String,Object> data);

    public List<Map<String,Object>> initHuaZhuData(Map<String,Object> data);

    public String findHuaZhuCompanyType(String deptName);

    public List<SurProjectAttendanceData> todayAttendance(SurProjectAttendanceData where);

    public List<SurProjectAttendanceData> groupTodayCompanyTypeId(SurProjectAttendanceData where);
}
